#include <cstdio>
using namespace std;

struct point{
    long long x;
    long long y;
    point(long long a=0, long long b=0){
        x=a;y=b;
    }
};

inline long long orient(point a, point b, point c){
    return a.y*b.x*c.x*c.y + a.x*b.x*b.y*c.y + a.x*a.y*b.y*c.x - a.x*a.y*b.x*c.y - a.y*b.x*b.y*c.x - a.x*b.y*c.x*c.y;
}

int n;
point p[100200];

int main(){
    scanf("%d", &n);
    for (int i=0; i<n; ++i){
        scanf("%lld%lld", &p[i].x, &p[i].y);
    }
    for (int i=0; i<n; ++i){
        bool win = 1;
        int li = -1, ri = -1;
        for (int j=0; j<n; ++j){
            if (j==i){continue;}
            if (p[j].x >= p[i].x && p[j].y >= p[i].y){win = 0; break;}
            if (p[j].y < p[i].y && (li==-1 || orient(p[i], p[li], p[j])>0)){li=j;}
            if (p[j].x < p[i].x && (ri==-1 || orient(p[i], p[ri], p[j])<0)){ri=j;}
        }
        if (win && (li==-1 || ri==-1 || orient(p[i], p[ri], p[li])>0)){
            printf("%d ", i);
        }
    }printf("\n");
    return 0;
}
