#include <cstdio>
using namespace std;

struct point{
    long long x;
    long long y;
    point(long long a=0, long long b=0){
        x=a;y=b;
    }
};

inline long long orient(point a, point b, point c){
    return a.y*b.x*c.x*c.y + a.x*b.x*b.y*c.y + a.x*a.y*b.y*c.x - a.x*a.y*b.x*c.y - a.y*b.x*b.y*c.x - a.x*b.y*c.x*c.y;
}

int n;
point p[100200];

int main(){
    scanf("%d", &n);
    for (int i=0; i<n; ++i){
        scanf("%lld%lld", &p[i].x, &p[i].y);
    }
    for (int i=0; i<n; ++i){
        bool win = 1;
        for (int j=0; j<n && win; ++j){
            if (j==i || p[j].x < p[i].x){continue;}
            if (p[j].x >= p[i].x && p[j].y >= p[i].y){win = 0;}
            for (int k=0; k<n && win; ++k){
                if (k==i || p[k].y < p[i].y){continue;}
                if (orient(p[i], p[j], p[k])>=0){
                    win = 0;
                }
            }
        }
        if (win){
            printf("%d ", i);
        }
    }printf("\n");
    return 0;
}
