#include <cstdio>
#include <stack>
#include <climits>
using namespace std;

const int nmax=1000000;
int towers[nmax+1];
int n;
int newtower;
int Lc;

void input() {
  scanf("%d %d",&n, &newtower);
  for (int i=1;i<=n;i++)
    scanf("%d",&towers[i]);
}


void calcL(int m) {
  stack<int> st;
  st.push(INT_MAX);

  for ( int i = 1; i <= m; i++ )
  {
    while ( st.top() < towers[i] )
    {
      st.pop();
    }
    st.push(towers[i]);
  }
  Lc=0;
  while (st.top() < newtower) {
    Lc++;
    st.pop();
  }
}

int main() {
int Lmax=0;
input();
for (int m=1;m<=n;m++){
    calcL(m);
    if (Lc>Lmax) Lmax=Lc;
}
printf("%d\n",Lmax);

return 0;
}

