#include <cstdio>
#include <stack>
#include <climits>
using namespace std;

const int nmax=1000000;
const int kmax=100000;

int buildings[nmax+1];
int towers[kmax+1];
int towersol[kmax+1];

int n,k;

int Lmax,Lc;

void input() {
  int i;
  scanf("%d %d",&n, &k);
  for (i=1;i<=n;i++)
    scanf("%d",&buildings[i]);
  for (i=1;i<=k;i++)
    scanf("%d",&towers[i]);
}

void calcL(int towernum) {
  stack<int> st;
  st.push(INT_MAX);
  Lmax=0; Lc=0;
  for ( int i = 1; i <= n; i++ )
  {
    while ( st.top() < buildings[i] ) {
      if (st.top() < towers[towernum]) Lc--;
      st.pop();

    }
    st.push(buildings[i]);
    if (towers[towernum]>buildings[i]){
        Lc++;
        if (Lc>Lmax){Lmax=Lc;}
    }
  }

}



int main() {

  input();
  for (int tow=1;tow<=k;tow++){
    calcL(tow);
    towersol[tow]=Lmax;
  }
  for (int i=1;i<k;i++)
    printf("%d ",towersol[i]);
  printf("%d\n", towersol[k]);
  return 0;
}
