#include <cstdio>
#include <stack>
#include <climits>
using namespace std;

const int nmax=1000000;
const int kmax=100000;

int buildings[nmax+1];
int towers[kmax+1];
int towersol[kmax+1];

int n,k;

int Lc;

void input() {
  int i;
  scanf("%d %d",&n, &k);
  for (i=1;i<=n;i++)
    scanf("%d",&buildings[i]);
  for (i=1;i<=k;i++)
    scanf("%d",&towers[i]);
}


void calcL(int towernum, int pos) {
  int cmax=0;
  Lc=0;
  for (int i=pos; (i>0) && (buildings[i]<towers[towernum]); i--)
    if (buildings[i]>cmax) {
      Lc++; cmax=buildings[i];
    }
}

int main() {
  int Lmax;
  input();
  for (int tow=1;tow<=k;tow++){
    Lmax=0;
    for (int m=1;m<=n;m++){
      calcL(tow,m);
      if (Lc>Lmax) Lmax=Lc;
    }
    towersol[tow]=Lmax;
  }
  for (int i=1;i<k;i++)
    printf("%d ",towersol[i]);
  printf("%d\n", towersol[k]);
  return 0;
}

