#define INF 1000000000
#define MAXP 2001
#define MAXV 3001
#include <stdio.h>
#include <vector>

using namespace std;
typedef vector<int> vi;

int table[MAXV][MAXP];
int n,m,s,fint=INF;
vector<vi > AdjList,tAdjList,pAdjList;
int q[8*MAXV*MAXP][4]; int b=0,e=-1;

void shortest_pat()
{  int u,ostp,curt=0,v,time,pari,pred;
   e++;q[e][0]=1;q[e][1]=s;q[e][2]=0;q[e][3]=-1;
   table[1][s]=0;
   while (b<=e) {
      u = q[b][0]; ostp=q[b][1]; curt=q[b][2];pred=q[b++][3];
      for (int j=0;j<(int)AdjList[u].size();j++)
      {  v=AdjList[u][j];
         if(v==pred) continue;
         time=tAdjList[u][j]; pari=pAdjList[u][j];
         int x=ostp-pari; int y=curt+time;
         if (x<0||table[v][x]<=y||(v!=n&&x==0)) continue;
         table[v][x]=y;
         e++; if(e==8*MAXV*MAXP) {e=0;printf("Warning!\n");}
         q[e][0]=v;q[e][1]=x;q[e][2]=y;q[e][3]=u;
         if(v==n) if(y<fint) {fint=y;}
      }
  }
}

int main()
{  int i,j,u,w,p,t;
   vi z;
   scanf("%d %d %d",&s,&n,&m);
   AdjList.reserve(n+1);pAdjList.reserve(n+1);
   tAdjList.reserve(n+1);
   for(i=0;i<=n;i++)
   {  AdjList.push_back(z);pAdjList.push_back(z);
      tAdjList.push_back(z);
      for(j=0;j<=s;j++) table[i][j]=INF;
   }
   for(i=1;i<=m;i++)
   { scanf("%d %d %d %d",&u,&w,&t,&p);
     AdjList[u].push_back(w);tAdjList[u].push_back(t);
     pAdjList[u].push_back(p);
     AdjList[w].push_back(u);tAdjList[w].push_back(t);
     pAdjList[w].push_back(p);
   }
   shortest_pat();
   if(fint==INF) printf("-1\n");
   else printf("%d\n",fint);
   return 0;
}
